Roman Grout Roman Grout - 2 months ago 9
Android Question

Update Android Studio Gradle plugin to last version

I'm new to Android developpement and I tried to install the Facebook SDK in my Android Studio project.

Then, I have a bug in build.gradle :

Error:(111, 0) Cannot call getBootClasspath() before setTargetInfo() is called.


So I searched for a solution and I found this on the stack:


This is a known issue , which is fixed by updating gradle to :


dependencies {
classpath 'com.android.tools.build:gradle:1.1.2'
}


So I tried this but then I got the error:

Error:Could not find com.android.tools.build:gradle:1.1.2.
Searched in the following locations:
file:/home/roman/Documents/softs/android-studio/gradle/m2repository/com/android/tools/build/gradle/1.1.2/gradle-1.1.2.pom
file:/home/roman/Documents/softs/android-studio/gradle/m2repository/com/android/tools/build/gradle/1.1.2/gradle-1.1.2.jar
Required by:
Yoki:facebook:unspecified


So I moved into the specified directory and then there is only this:

$> ls
1.0.0 1.1.0
$> pwd
/home/roman/Documents/softs/android-studio/gradle/m2repository/com/android/tools/build/gradle


How can I update the gradle plugin?

Answer

Change your buildscript block. You have to specify also in this block the repositories.

buildscript {
    repositories {
        mavenCentral()
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:1.1.2'
    }
}

Also you can use the last version:

        classpath 'com.android.tools.build:gradle:1.1.3'